Bug 16363 - Use floating toolbar on advanced search
Summary: Use floating toolbar on advanced search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16398
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-27 04:05 UTC by Aleisha Amohia
Modified: 2016-12-05 21:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16363: Add floating toolbar to advanced search (3.76 KB, patch)
2016-04-27 04:10 UTC, Aleisha Amohia
Details | Diff | Splinter Review
This is how it should look showing fewer options (907.64 KB, image/png)
2016-04-27 20:45 UTC, Aleisha Amohia
Details
Bug 16363: Add floating toolbar to advanced search (3.86 KB, patch)
2016-04-27 20:59 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16363: Add floating toolbar to advanced search (3.97 KB, patch)
2016-04-28 01:25 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16363: Add floating toolbar to advanced search (3.98 KB, patch)
2016-04-28 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-04-27 04:05:57 UTC

    
Comment 1 Aleisha Amohia 2016-04-27 04:10:17 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-04-27 13:08:44 UTC
I like the look of the toolbar. I'm not sure about the change from "new search" to "clear fields." I'd like to hear more opinions on that.

I would like to see one minor change: Toolbar buttons should use "btn-small" instead of "btn-mini."
Comment 3 Aleisha Amohia 2016-04-27 20:45:20 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2016-04-27 20:45:54 UTC
Comment on attachment 50847 [details]
This is how it should look showing fewer options

Sorry, wrong bug
Comment 5 Aleisha Amohia 2016-04-27 20:59:16 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2016-04-28 01:25:35 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-04-28 10:05:37 UTC
Created attachment 50891 [details] [review]
[PASSED QA] Bug 16363: Add floating toolbar to advanced search

EDIT: Ah yes I was so sure it wasn't mini but couldn't remember what to
use! Thanks for that Owen

To test:
1) Go to advanced search
2) Confirm Save, More Options and Clear fields (notice change from New
search to Clear fields) are in toolbar and work as expected

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2016-04-28 10:07:41 UTC
I like it!
Comment 9 Kyle M Hall 2016-04-29 10:51:29 UTC
Pushed to master! Should be in the May 2016 release! Shukran Aleisha!
Comment 10 Jonathan Druart 2016-04-29 14:40:18 UTC
Just found a bug, to reproduce:
- Click on more options
- you get /catalogue/search.pl?expanded_options=1
- Click on "Clear fields"
- you get /catalogue/search.pl?do=Clear

=> You have lost the expanded_options flag
Comment 11 Owen Leonard 2016-04-29 15:04:24 UTC
(In reply to Jonathan Druart from comment #10)
> => You have lost the expanded_options flag

As far as I can tell this bug existed before the changes made by this patch. I can reproduce it in our 3.18.x catalog.
Comment 12 Jonathan Druart 2016-04-29 15:53:26 UTC
(In reply to Owen Leonard from comment #11)
> (In reply to Jonathan Druart from comment #10)
> > => You have lost the expanded_options flag
> 
> As far as I can tell this bug existed before the changes made by this patch.
> I can reproduce it in our 3.18.x catalog.

Indeed!
I have opened bug 16398.
Comment 13 Katrin Fischer 2016-05-02 06:12:02 UTC
Confused - I don't see the floating toolbar in master?
Comment 14 Katrin Fischer 2016-05-02 06:13:29 UTC
Never mind - a problem with my branch not being as current as I had thought.